// file: $USFS/class/image_eval/v1.0/imgev_compstr_0.cc
//

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: compare_cc
//
// arguments:
//   const void* arg1_a: (input/output) 
//   const void* arg2_a: (input/output)
//
// return:
//   an int_4 to indicate status
//
// This method compares two numbers and returns status of comparison.
//
//
int Image_eval::compare_str_cc(const void* arg1_a, const void* arg2_a) {

  char_1* str1_a = (char_1*)arg1_a;
  char_1* str2_a = (char_1*)arg2_a;
  
  if (strcmp(*(char**)str1_a, *(char**)str2_a) > IMGEV_EQUAL) {
    return (IMGEV_GREATER_THAN);
  }

  if (strcmp(*(char**)str1_a, *(char**)str2_a) < IMGEV_EQUAL) {
    return (IMGEV_LESS_THAN);
  }

  return (IMGEV_EQUAL);

}
